Профиль должен быть заполнен на русском языке кириллицей. Заполнение профиля заведомо ложными или некорректными данными - причина возможного отказа в регистрации на форуме.

Устройства и платы сбора данных

Модератор: специалисты по Advantech

Аватара пользователя

Автор темы
Lifanov
специалист по Advantech
специалист по Advantech
Сообщения: 117
Зарегистрирован: 21 янв 2014, 11:13
Ф.И.О.: Лифанов Александр Витальевич
Откуда: Москва
Благодарил (а): 1 раз
Поблагодарили: 2 раза
Контактная информация:

Устройства и платы сбора данных

Сообщение Lifanov » 14 мар 2014, 10:35

1. Под какие шины бывают?
2. Какой софт использовать для работы с модулями?
------------------------------------
Лифанов Александр
Advantech Москва, техподдержка

Аватара пользователя

Автор темы
Lifanov
специалист по Advantech
специалист по Advantech
Сообщения: 117
Зарегистрирован: 21 янв 2014, 11:13
Ф.И.О.: Лифанов Александр Витальевич
Откуда: Москва
Благодарил (а): 1 раз
Поблагодарили: 2 раза
Контактная информация:

1. Под какие шины бывают.

Сообщение Lifanov » 10 ноя 2016, 15:31

Пока остается определённое количество плат ISA, PC/104, PCI-104.
Активно поддерживаются PCI, PCIE, USB (сейчас 2.0, в планах 3.0), CompactPCI 3U.
Дискрет есть на miniPCIe, аналог пока только планируется.
------------------------------------
Лифанов Александр
Advantech Москва, техподдержка

Аватара пользователя

Автор темы
Lifanov
специалист по Advantech
специалист по Advantech
Сообщения: 117
Зарегистрирован: 21 янв 2014, 11:13
Ф.И.О.: Лифанов Александр Витальевич
Откуда: Москва
Благодарил (а): 1 раз
Поблагодарили: 2 раза
Контактная информация:

2. Какой софт использовать для работы с модулями?

Сообщение Lifanov » 10 ноя 2016, 15:34

К платам сбора данных есть на данный момент два комплекта софта, т.н. «старый» и «новый».

Старый – пакет ActiveDaq c драйверами, которые помечены как legacy. Местами его поддержка закончилась на Висте, местами на Win7 x32.
Новый – пакет DaqNavi c соответствующими драйверами.
Более того, даже внутри DaqNavi есть различия по драйверам в зависимости от версии SDK: драйвера 3.2.7.0 и ниже для DAQNavi 3.2.7 и ниже; драйвера 3.2.8.0 и выше для DAQNavi 4.0 и выше.

API "старый" и "новый" ОТЛИЧАЮТСЯ!!!

Линукс. Старые драйвера больше не обновляются, исходники выложены для самостоятельной допилки.

(Полу)комплектный софт. В том смысле, что он бесплатный и он встаёт внутрь DaqNavi Navigator: Multimeter, DataLogger (осциллограф с логгингом), SignalMeter (осциллограф с АЧХ, SNR и т.п.)
------------------------------------
Лифанов Александр
Advantech Москва, техподдержка


Вернуться в «F.A.Q., Инструкции»



Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей